import { EventEmitter } from '../../stencil.core';
import { IDay } from 'cntdys';
/**
 * @slot back – Slot for the previous month button
 * @slot forward – Slot for the next month button
 */
export declare class CalyCalendar {
    private tables;
    hoverDay: IDay;
    /** (required) Year (YYYY) */
    year: number;
    /** (required) Month (1-12) */
    month: number;
    /** (optional) Selected day (dd-mm-yyyy) */
    selected: string;
    /** (optional) Locale */
    locale: string;
    /** (optional) Start of the week. 0 for Sunday, 1 for Monday, etc. */
    startOfTheWeek: number;
    /** (optional) Number of months rendered */
    numberOfMonths: number;
    /** (optional) Range */
    range: boolean;
    /** (optional) Range start (dd-mm-yyyy) */
    rangeStart: string;
    /** (optional) Range end (dd-mm-yyyy) */
    rangeEnd: string;
    /** (optional) Event to listen for when new day is selected. */
    daySelected: EventEmitter;
    /** (optional) Event to listen for when range start day is selected. */
    rangeStartSelected: EventEmitter;
    /** (optional) Event to listen for when range end day is selected. */
    rangeEndSelected: EventEmitter;
    private handleDayClick;
    private handleMouseOver;
    private back;
    private forward;
    render(): any;
}
